Subject: Re: Libification project (SoC)

From: "Luiz Fernando N. Capitulino" <[email-masked]>
Date: Mon, 19 Mar 2007 13:09:07 -0300

Em Sun, 18 Mar 2007 12:31:13 -0700
Junio C Hamano <[email-masked]> escreveu:

| "Luiz Fernando N. Capitulino" <[email-masked]>
| writes:
| 
| >  I mean, if the information needed to print the error message (packfile
| > name and version in this example) is available to the caller, or the
| > caller can get it someway, then the caller could check which error
| > he got and build the message himself.
| >
| >  That seems simpler to me, considering the caller has the needed
| > info, of course...
| 
| It's a possibility, but that would make it much less nice to
| diagnose and debug problems, as the caller does not usually have
| necessary information.
| 
| The caller may ask for object A, and the error is triggered
| because a different object C is missing, which is the delta base
| of object B which in turn is the delta base of object A.  The
| best your "caller" can say is "cannot read object A for some
| reason", and it cannot say "cannot read object A because object
| C is missing".

 Okay, you're right. I'm going to let the low-level functions
fill the error buffer then.

 Thanks,

-- 
Luiz Fernando N. Capitulino